#!/bin/sh

#Si je suis dans le repertoire racine alors on teste si le patch est fait
#sinon c est que je suis en cours de patch

if [ -f script.sh ]
then
  if [ -f patchdone ]
  then
    echo "OK"
  else
    echo "begin patch..."
    rm -rf gmaps-platform-patch-progress
    echo "copy gmaps-platform"
# remplacer par un mv a la fin
    cp -r gmaps-platform gmaps-platform-patch-progress
    echo "patch in progress"
    ( cd gmaps-platform-patch-progress ; ../$0 )
    echo "patch done... create patchdone"
    rm -rf gmaps-platform
    mv gmaps-platform-patch-progress gmaps-platform
    touch patchdone
    echo "Done"
  fi
else
  for i in `ls`
  do
    if [ -f $i ]
    then
      echo "sed sur $i..."
      sed -e "s/g++/\$(CXX)/g" $i > tmp_$i
      mv tmp_$i $i
      sed -e "s/@ \$(CPL)/\$(CPL)/g" $i > tmp_$i
      mv tmp_$i $i
      sed -e "s/NDEBUG/NGMAPDEBUG/g" $i > tmp_$i
      mv tmp_$i $i
      sed -e "s/USE_ASSERT            := no/USE_ASSERT            := yes/" $i > tmp_$i
      mv tmp_$i $i
      sed -e "s/STATIC_LIBRARIES      := no/STATIC_LIBRARIES      := yes/" $i > tmp_$i
      mv tmp_$i $i
      sed -e "s/#define NB_DIRECT_INFO (4)/#define NB_DIRECT_INFO (10)/" $i > tmp_$i
      mv tmp_$i $i
    else
      if [ -d $i ]
      then
        ( cd $i ; ../$0 )
      else
        echo "c'est une erreur"
      fi
    fi
  done
fi
