(*=======================================================-*-tuareg-*-======
 *
 * MGS : a general model of systems
 *
 *    Olivier Michel      : michel@lami.univ-evry.fr
 *    Jean-Louis Giavitto : giavitto@lami.univ-evry.fr
 *    Antoine Spicher     : aspicher@lami.univ-evry.fr
 *    Julien Cohen        : jcohen@lami.univ-evry.fr
 *    Mailing-list        : mgs@lami.univ-evry.fr
 *    WWW                 : http://mgs.lami.univ-evry.fr
 *
 * LaMI umr 8042 du CNRS, Genopole (C), Universite d'Evry Val d'Essonne
 *
 *
 * -------------------------------------------------------------------
 * File: $RCSfile: def_gab.ml,v $
 * Symbolic name : $Name:  $
 * Author: OM, JLG
 * Modified: $Date: 2006-04-23 05:22:18 $
 * Version: $Revision: 1.1 $
 * -------------------------------------------------------------------
 *
 * Status:  
 *     La representation d'un multi-ensemble (ou bag)
 *     reprsentation adapte  partir des arbres binaires balances (cf. set)
 *     pour tenir compte de l'occurence de chauqe lments.
 *
 *=========================================================================
 *)

Global.__register_version "$RCSfile: def_gab.ml,v $" "$Revision: 1.1 $" "$Date: 2006-04-23 05:22:18 $";;

type 'elt tgab = 
  | Empty_gab
  | Node_gab of 'elt tgab * 'elt * int * 'elt tgab * int
;;
