(*=======================================================-*-tuareg-*-======
 *
 * MGS : a general model of systems
 *
 *    Olivier Michel      : michel@lami.univ-evry.fr
 *    Jean-Louis Giavitto : giavitto@lami.univ-evry.fr
 *    Antoine Spicher     : aspicher@lami.univ-evry.fr
 *    Julien Cohen        : jcohen@lami.univ-evry.fr
 *    Mailing-list        : mgs@lami.univ-evry.fr
 *    WWW                 : http://mgs.lami.univ-evry.fr
 *
 * LaMI umr 8042 du CNRS, Genopole (C), Universite d'Evry Val d'Essonne
 *
 *
 * -------------------------------------------------------------------
 * File: $RCSfile: printer_graph.ml,v $
 * Symbolic name : $Name:  $
 * Author: OM, JLG, AS
 * Modified: $Date: 2005-09-21 15:39:25 $
 * Version: $Revision: 1.2 $
 * -------------------------------------------------------------------
 *
 *
 *=========================================================================
 *)

open Global;;
open Auxfct;;
open Dispatch_sig;;
open Printf ;;
open Def_graph ;;
open Core_graph ;;
open Printer;;
open Valeur;;

(** --- Affichage formatt ------------------------------------------------------- **)

let _uprbval_'outBuffer_grf (b, ((tbl, tab), c)) = Printer_graph_generique.print b (Printer.unformatted_prbvalue2 b) fst snd tab c.name; Valeur.mgsundef

(*
let _pzbval_'outBufferF_int_string_string_string_funct_seq_grf (b,t,pre,inter,post,f,l,x) =
  Format.pp_open_box b t;
  Format.fprintf b "%s" pre;
  plist_aux2 
    (Format.fprintf b "%s@,")
    (Format.fprintf b "%a" (fun b x->(fprintcollrecpar b x (VAL_seq l);()))  )
    inter
    (Array.to_list (snd (fst x)) ) (fun x -> f (deco x));
  Format.fprintf b " %s@]@," post;
  Valeur.mgsundef
*)


let _pobval_'outBufferF_int_string_string_string_funct_grf (b,t,pre,inter,post,f,x) =
  Format.pp_open_box b t;
  Format.fprintf b "%s" pre;
  plist_aux2 
    (Format.fprintf b "%s@,") 
    (Format.fprintf b "%a" prbvalue2)
    inter 
    (Array.to_list (snd (fst x)) ) (fun x -> f (deco x));
  Format.fprintf b " %s@]@," post;
  Valeur.mgsundef


and _pfbval_'outBufferF_grf (b, ((tbl, tab), c))  = 
  Printer_graph_generique.print2 b (prbvalue2 b) fst snd tab c.name; 
  Valeur.mgsundef
;;
