/*
 *
 *                              MGS
 *                              LaMI
 *                       Universite d'Evry Val d'Essonne
 *                   Olivier MICHEL, Jean-Louis GIAVITTO
 * File: $RCSfile: stub_gmap_ml.old.h,v $ 
 * Path: %P%
 * Description:
 * Created:
 * Author: Olivier Michel & Jean-Louis Giavitto & Julien Cohen & Antoine Spicher
 * Modified: $Date: 2005-01-13 00:59:54 $ at 
 * Version: $Revision: 1.1 $
 * Status:
 *
 */

#define True  (0==0)
#define False (0==1)

typedef CDart ;
typedef SGMapVertex ;

int debugAff = 0 ;

extern SGMapVertex* createGmap(int);
extern void         deleteGmap(SGMapVertex*);
extern void         deleteDartsTable(CDart**);
extern SGMapVertex* copyGmap(SGMapVertex*);
extern int          getNewMark(SGMapVertex*);
extern CDart*       copyDart(SGMapVertex*,CDart*);
extern CDart*       newDart(SGMapVertex*,float,float,float);
extern void         freeMark(SGMapVertex*,int);
extern void         markDart(SGMapVertex*,CDart*,int);
extern void         markNcell(SGMapVertex*,CDart*,int,int);
extern void         unmarkDart(SGMapVertex*,CDart*,int);
extern void         unmarkNcell(SGMapVertex*,CDart*,int,int);
extern CDart*       alpha(SGMapVertex*,CDart*,int);
extern int          isFree(SGMapVertex*,CDart*,int);
extern int          isNcellFree(SGMapVertex*,CDart*,int,int);
extern void         sew(SGMapVertex*,CDart*,CDart*,int);
extern int          checkGmap(SGMapVertex*);
extern CDart*       new_ncell(SGMapVertex*, int);
extern CDart*       new_ncell_square(SGMapVertex*, int,int, int);
extern void         new_ncell_sphere(SGMapVertex*, int, int, CDart**, CDart**);
extern CDart*       new_ncell_polyline(SGMapVertex*, int);
extern CDart*       new_ncell_polygon(SGMapVertex*, int);
extern void         glue2FacesBy4Verteces(SGMapVertex*, CDart*, CDart*,
					   CDart*, CDart*,
					   CDart*, CDart*);
extern int          allDarts(SGMapVertex*, CDart***);
extern int          allNCells(SGMapVertex*, int, CDart***);
extern int          allFaces(SGMapVertex*, CDart*, int, CDart***);
extern int          allCofaces(SGMapVertex*, CDart*, int, CDart***);
extern int          allIncidentCells(SGMapVertex*, CDart*, int, int, CDart***);
extern int          allCloseNCells(SGMapVertex*, CDart*, int, int, CDart***);
extern int          allDartsOfNCell(SGMapVertex*, CDart*, int, CDart***);
extern CDart*       normalForm(SGMapVertex*, CDart*, int);
extern int          get_vertex_coord(SGMapVertex*, CDart*, float*, float*, float*);
extern void         set_vertex_coord(SGMapVertex*, CDart*, double, double, double);
extern void         printGmap(SGMapVertex*);
extern char*        stringGmap(SGMapVertex*);
extern void         printNcell(SGMapVertex*, CDart*, int);
extern char*        stringNcell(SGMapVertex*, CDart*, int);
extern int          loadASE(SGMapVertex*, const char *,CDart***);
extern int          saveASE(SGMapVertex*, const char *);
extern int          loadMoka(SGMapVertex*, const char *,CDart***);
extern int          saveMoka(SGMapVertex*, const char *);

extern CDart*       insert_vertex(SGMapVertex*, CDart*, CDart**, CDart**);
extern CDart*       insert_edge(SGMapVertex*, CDart*, CDart*, CDart**, CDart**);
extern CDart*       insert_face(SGMapVertex*, CDart*, CDart**, int, CDart**, CDart**);
extern CDart*       create_edge(SGMapVertex*, CDart*, CDart*);
extern CDart*       create_face(SGMapVertex*, CDart***, int);
extern CDart*       create_volume(SGMapVertex*, CDart**, int, CDart***, int*, int);
extern CDart*       basic_remove(SGMapVertex*, CDart*, int);
extern int          basic_delete(SGMapVertex*, CDart*, int, CDart***);
