#!/bin/csh  
## SOURCE 1

set INC =  "-I Common -I Libs -I Scalar -I Rec -I Seq -I Set -I Bag -I Gbf -I Vm"


ocamlopt.opt -c ${INC} Common/global.ml
ocamlopt.opt -c ${INC} Libs/hash.ml

ocamlopt.opt -c ${INC} Rec/def_rec.ml
ocamlopt.opt -c ${INC} Seq/def_seq.ml
ocamlopt.opt -c ${INC} Set/def_set.ml
ocamlopt.opt -c ${INC} Bag/def_bag.ml
ocamlopt.opt -c ${INC} Gbf/def_gbf.ml

ocamlopt.opt -c ${INC} Common/valeur.ml

ocamlopt.opt -c ${INC} Common/dispatch_sig.ml

ocamlopt.opt -c ${INC} Vm/environnement.ml
ocamlopt.opt -c ${INC} Common/type.ml
ocamlopt.opt -c ${INC} Common/aux.ml
ocamlopt.opt -c ${INC} Common/printer.ml

ocamlopt.opt -c ${INC} Scalar/scalar.ml
ocamlopt.opt -c ${INC} Scalar/printer_scalar.ml


ocamlopt.opt -c ${INC} Seq/core_seq.ml
ocamlopt.opt -c ${INC} Seq/type_seq.ml
ocamlopt.opt -c ${INC} Seq/seq.ml
ocamlopt.opt -c ${INC} Seq/printer_seq.ml

ocamlopt.opt -c ${INC} Rec/core_rec.ml
ocamlopt.opt -c ${INC} Rec/type_rec.ml
ocamlopt.opt -c ${INC} Rec/rec.ml
ocamlopt.opt -c ${INC} Rec/printer_rec.ml

ocamlopt.opt -c ${INC} Bag/core_bag.ml
ocamlopt.opt -c ${INC} Bag/type_bag.ml
ocamlopt.opt -c ${INC} Bag/bag.ml
ocamlopt.opt -c ${INC} Bag/printer_bag.ml


## ocamlopt.opt -c ${INC} Common/dispatch.ml

## ocamlopt.opt -c ${INC} Common/kernel_collection.ml

## ocamlopt.opt -c ${INC} Scalar/kernel_scalar.ml
## ocamlopt.opt -c ${INC} Seq/kernel_seq.ml
## ocamlopt.opt -c ${INC} Seq/kernel_bag.ml
## ocamlopt.opt -c ${INC} Rec/kernel_rec.ml


ocamlopt.opt -c ${INC} Vm/terme.ml
ocamlopt.opt -c ${INC} Vm/environnement.ml

## ocamlopt.opt -c ${INC} Vm/byte_code.ml
ocamlopt.opt -c ${INC} Vm/printer_term.ml
## ocamlopt.opt -c ${INC} Vm/combinatorise.ml
## ocamlopt.opt -c ${INC} Vm/optimise_combinateur.ml
## ocamlopt.opt -c ${INC} Vm/compile.ml
## ocamlopt.opt -c ${INC} Vm/eval.ml
# ocamlopt.opt -c ${INC} Vm/options.ml
# ocamlopt.opt -c ${INC} Vm/macro.ml






    
#     _ Gendispatch :
#             - Makefile
#             - ...
#     _ System      :
#             - Input_output
#             - Unix
#     _ Syntax      :
#             - Keyword
#             - Parser
#             - Lexer
#             - Completion
#             - Cursor
#             - Ledit
#     _ VM          :
#             - Environnement
#             - Term
#             - Byte_code
#             - Combinator (ou Kombinator ???  :)  )
#             - Eval
#             - Option
#             - Macro
#     _ Libs        :
#             - Hash
#             - Graph ???
#     _ Commons     :
#             - Global
#             - Value
#             - Type
#             - Printer
#             - Spec
#     _ Scalar      :
#             - Core_scalar
#             - Scalar
#             - kernel_scalar
#     _ Xxx         :
#             - Position_xxx
#             - Core_xxx
#             - Topo_xxx
#             - Type_xxx
#             - Xxx
#             - Kernel_xxx
#     _ Topo        :
#             - Topology
#             - Transformation
#             - Pattern
#             - Instancie_pat
#             - Pattern_ac
#             - Instancie_pat_ac
#     _ PTopo       :
#             - Ptopology
#             - Patch
    
