/*
 * lib-gmapkernel : Un noyau de 3-G-cartes et des oprations.
 * Copyright (C) Moka Team, moka@sic.univ-poitiers.fr
 *               http://www.sic.univ-poitiers.fr/moka/
 *
 * This file is part of lib-gmapkernel
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

//******************************************************************************
#ifndef ATTRIBUTES_ID_HH
#define ATTRIBUTES_ID_HH
//******************************************************************************
/** Dfinition des id des attributs
 *
 *  @author MOKA TEAM
 */

enum
{
  // Attribut principal : sommet pour g-map-vertex
  ATTRIBUTE_VERTEX = 1,

  // Attributs pour le corafinement
  ATTRIBUTE_COREFINE_BBOX,
  ATTRIBUTE_QUADRIC_ERROR,
  
  // Attributs spamod
  ATTRIBUTE_SPAMOD_INT,
  ATTRIBUTE_SPAMOD_COLOR_TABLE,
  ATTRIBUTE_SPAMOD_INEQ_TABLE2,
  ATTRIBUTE_SPAMOD_INEQ_TABLE6,
  ATTRIBUTE_SPAMOD_INEQ_USE,
  ATTRIBUTE_SPAMOD_MATRIX,
  ATTRIBUTE_SPAMOD_POINT_LIST,
  ATTRIBUTE_SPAMOD_VOXEL_LIST
};

//******************************************************************************
#endif // ATTRIBUTES_ID_HH
//******************************************************************************
