/*
 * lib-gmapkernel : Un noyau de 3-G-cartes et des oprations.
 * Copyright (C) Moka Team, moka@sic.univ-poitiers.fr
 *               http://www.sic.univ-poitiers.fr/moka/
 *
 * This file is part of lib-gmapkernel
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

//******************************************************************************
#include "dynamic-coverage.hh"
//******************************************************************************
// Instanciation des templates :

namespace GMap3d
{
  template class CTemplateDynamicCoverage1<0>;
  template class CTemplateDynamicCoverage1<1>;
  template class CTemplateDynamicCoverage1<2>;
  template class CTemplateDynamicCoverage1<3>;
  template class CTemplateDynamicCoverage2b<0,1>;
  template class CTemplateDynamicCoverage2a<0,2>;
  template class CTemplateDynamicCoverage2a<0,3>;
  template class CTemplateDynamicCoverage2b<1,2>;
  template class CTemplateDynamicCoverage2a<1,3>;
  template class CTemplateDynamicCoverage2b<2,3>;
  template class CTemplateDynamicCoverage3a<0,1,3>;
  template class CTemplateDynamicCoverage3a<2,3,0>;
  template class CTemplateDynamicCoverage3b<0,1,2>;
  template class CTemplateDynamicCoverage3b<1,2,3>;

  template class CTemplateBasicDynamicCoverage3b<0,1,2>;
  template class CTemplateBasicDynamicCoverage3b<1,2,3>;

  template class CTemplateMultiDynamicCoverage3b<0,1,2>;
  template class CTemplateMultiDynamicCoverage3b<1,2,3>;
} // namespace GMap3d
//******************************************************************************
