{
open Doc_outils
exception Eof

let nommodule = ref ""
and nomfonction = ref ""
and url = ref ""
;;



}

rule lexer = parse
  "http://"[^' ']*				{url:=Lexing.lexeme lexbuf;comurl lexbuf}
  |['A'-'Z'][^' ']*	        		{nommodule:=Lexing.lexeme lexbuf;commodule lexbuf}
  |['a'-'z''\''][^' ']*				{nomfonction:=Lexing.lexeme lexbuf;comfonction lexbuf}

and comurl = parse
    [^'\n']*		{let nf = !url in url:="";URL(nf,(Lexing.lexeme lexbuf));}



and comfonction = parse
    [^'\n']*		{let nf = !nomfonction in nomfonction:="";Fonction(nf,(Lexing.lexeme lexbuf))}

and commodule = parse
    |'.'				{commodule3 lexbuf}
    |[^'.''\n'][^'\n']*			{let nf = !nommodule in nommodule:="";
					   Module(nf,(Lexing.lexeme lexbuf))}

and commodule3 = parse
    ['A'-'Z''a'-'z''0'-'9''\'']* 	{nomfonction:=Lexing.lexeme lexbuf;commodule2 lexbuf}

and commodule2 = parse
    [^'\n']*		{let nf = !nomfonction in nomfonction:="";
			 let nm = !nommodule in nommodule:="";
      			 ModFonct(nm,nf,(Lexing.lexeme lexbuf));
                        }    









