(*=======================================================-*-tuareg-*-======
 *
 * MGS : a general model of systems
 *
 *    Olivier Michel      : michel@lami.univ-evry.fr
 *    Jean-Louis Giavitto : giavitto@lami.univ-evry.fr
 *    Antoine Spicher     : aspicher@lami.univ-evry.fr
 *    Julien Cohen        : jcohen@lami.univ-evry.fr
 *    Mailing-list        : mgs@lami.univ-evry.fr
 *    WWW                 : http://mgs.lami.univ-evry.fr
 *
 * LaMI umr 8042 du CNRS, Genopole (C), Universite d'Evry Val d'Essonne
 *
 *
 * -------------------------------------------------------------------
 * File: $RCSfile: def_prox.ml,v $
 * Symbolic name : $Name:  $
 * Author: OM, JLG
 * Modified: $Date: 2005-03-07 17:24:53 $
 * Version: $Revision: 1.1 $
 * -------------------------------------------------------------------
 *
 * Status:  
 *     La representation d'un Proximal.
 *
 *=========================================================================
 *)

Global.__register_version "$RCSfile: def_prox.ml,v $" "$Revision: 1.1 $" "$Date: 2005-03-07 17:24:53 $";;

(* ***************************** *)
(* Pour les voisinages proximaux *)
(* ***************************** *)

type sommets_voisins    = int list

and 'a prox_fonction    = ('a -> 'a)
and 'a prox_tab_element = ('a * sommets_voisins)
and 'a prox_def         = 'a prox_fonction
and 'a tprox            = ('a prox_tab_element) Def_graph_generique.graphe_element
;;
