(*=======================================================-*-tuareg-*-======
 *
 * MGS : a general model of systems
 *
 *    Olivier Michel      : michel@lami.univ-evry.fr
 *    Jean-Louis Giavitto : giavitto@lami.univ-evry.fr
 *    Antoine Spicher     : aspicher@lami.univ-evry.fr
 *    Julien Cohen        : jcohen@lami.univ-evry.fr
 *    Mailing-list        : mgs@lami.univ-evry.fr
 *    WWW                 : http://mgs.lami.univ-evry.fr
 *
 * LaMI umr 8042 du CNRS, Genopole (C), Universite d'Evry Val d'Essonne
 *
 *
 * -------------------------------------------------------------------
 * File: $RCSfile: def_set.ml,v $
 * Symbolic name : $Name:  $
 * Author: OM, JLG
 * Modified: $Date: 2004-08-04 10:46:20 $
 * Version: $Revision: 1.1 $
 * -------------------------------------------------------------------
 *
 * Status:  
 *     La representation d'un ensemble: reprsentation par arbre binaire balance.
 *     Code  partir du module set de la librairie CAML, augmentes de +sieurs 
 *     fonctions + gestion explicite dela taille.
 *
 *=========================================================================
 *)

Global.__register_version "$RCSfile: def_set.ml,v $" "$Revision: 1.1 $" "$Date: 2004-08-04 10:46:20 $";;



type 'elt pre_tset = 
  | Empty_set 
  | Node_set of 'elt pre_tset * 'elt * 'elt pre_tset * int

and 'elt tset = { cardinal : int; data : 'elt pre_tset } (** type set avec cardinal **)
;;
