#!/bin/bash

if (($# == 1)); then
    for i in ./test?*.mgs ; do
	if $1 -f $i; then 
	    echo TEST $i is OK
	else
	    echo TEST $i FAILED
	    exit -1
	fi
    done
else if (($# == 2)); then
    if $1 -f $2; then
	echo TEST $i is OK
    else
	echo TEST $i FAILED
	exit -1
    fi
else
    echo Error: wrong number of parameters
    exit -1
fi
fi
